$PackageName = 'ludusavi';
$ToolsPath   = Split-Path -Parent $MyInvocation.MyCommand.Definition;
$PkgParams   = Get-PackageParameters;

if ($PkgParams.OpenGL) {
	$PackageArgs = @{
		PackageName    = $PackageName
		FileFullPath   = Get-Item $(Join-Path $ToolsPath 'ludusavi-v0.8.0+opengl-win32.zip')
		FileFullPath64 = Get-Item $(Join-Path $ToolsPath 'ludusavi-v0.8.0+opengl-win64.zip')
		Destination    = $ToolsPath
	};
} else {
	$PackageArgs = @{
		PackageName    = $PackageName
		FileFullPath   = Get-Item $(Join-Path $ToolsPath 'ludusavi-v0.8.0-win32.zip')
		FileFullPath64 = Get-Item $(Join-Path $ToolsPath 'ludusavi-v0.8.0-win64.zip')
		Destination    = $ToolsPath
	};
};

Get-ChocolateyUnzip @PackageArgs;
Remove-Item ($ToolsPath + '\*.' + 'zip');